package cn.map.szmap.cache;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

public interface ICache {
	public void refreshAll(List<HashMap> map);
 	public List<Map> getAllData() throws Exception;
 	public List<Map> getData(Map condition) throws Exception;
 	public Map get(String key) throws Exception;
	public long getRefreshTime();
 }
